Page MenuHomePhabricator

[libc++] Remove unused __functional includes
ClosedPublic

Authored by philnik on May 20 2022, 3:46 PM.

Details

Diff Detail

Event Timeline

philnik created this revision.May 20 2022, 3:46 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 20 2022, 3:46 PM
Herald added a subscriber: arphaman. · View Herald Transcript
philnik requested review of this revision.May 20 2022, 3:46 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 20 2022, 3:46 PM
Herald added a reviewer: Restricted Project. · View Herald Transcript

I don't understand this review's title in relationship with the diff. Is it an error?

philnik updated this revision to Diff 431422.May 23 2022, 10:23 AM

@ldionne Oops, looks like I uploaded the wrong diff once.

ldionne accepted this revision.May 27 2022, 1:51 PM

This needs a release note to mention that we removed some includes of <functional>, since this may break users. Other than that, LGTM.

This revision is now accepted and ready to land.May 27 2022, 1:51 PM

This needs a release note to mention that we removed some includes of <functional>, since this may break users. Other than that, LGTM.

We've already added a release note in D124123.

This revision was automatically updated to reflect the committed changes.